ICEDOVE(1)

NAME
icedove - Mail User Agent (MUA) and newsgroup/RSS client for X11 derived from the Mozilla Thunderbird.

SYNOPSIS
icedove [OPTIONS] [URL] /usr/lib/icedove/icedove-bin [OPTIONS] [URL]

DESCRIPTION
Icedove provides IMAP/POP support, a built-in RSS reader, support for HTML mail, powerful quick search, saved search folders, advanced message filtering, junk mail controls, message grouping, labels, return receipts, smart address book, LDAP address completion, import tools and the ability to manage multiple identities in email and newsgroup accounts.

Icedove provides enterprise and government grade security such as S/MIME, digital signing, message encryption, and support for certificates and security devices.

USAGE
icedove is a executable file that will set up the environment for the starting executable, icedove-bin. If there is an Icedove mail client already running, icedove will arrange for it to create a new mail client window; otherwise it will start the Icedove application.

OPTIONS
A summary of the options supported by icedove is included below.

  X11 options

--display=DISPLAY
    X display to use

--sync
    Make X calls synchronous

--g-fatal-warnings
    Make all warnings fatal

  Mozilla options

-h, -help
    Show summary of options.

-v, -version
    Print Icedove version.

-P [profile]
    Start with profile. When no profile is given, displays the Profile Manager. May require -no-remote, see below.

-migration
    Start with migration wizard. May require -no-remote, see below.

-ProfileManager
    Start with profile manager. May require -no-remote, see below.

-no-remote
    Don't connect to a running Icedove instance. Don't accept or send remote commands. This option can be necessary in conjunction to several of the options above, that won't have any effect when an Icedove instance is running unless -no-remote is used at the same time.

-new-instance
    Open a new instance instead of a new windows in the running instance.

-UILocale locale
    Start with locale resources as User Interface locale. By default, it is guessed from environment and available locales for Icedove.

-safe-mode
    Starts Icedove in safe mode, i.e. disabling all extensions and showing a bit more debugging messages.

-jsconsole
    Start with Javascript Console

-addressbook
    Open the address book at startup.

-compose
    Compose a mail or news message.

-mail
    Open the mail folder view.

-mail URL
    Open the message specified by this URL.

-news
    Open the news client.

-setDefaultMail
    Set Icedove as the default mail client.

-options
    Open the options dialog.

-file
    Open the specified email file.

DEBUGGING
To debug Icedove, you need to run run-mozilla.sh with the absolute path of icedove.

/usr/lib/icedove/run-mozilla.sh [DEBUGOPTIONS] /usr/lib/icedove/icedove-bin

DEBUGOPTIONS
A summary of the options for debugging icedove is included below.

-g, -debug
    Starts Icedove through a debugger (gdb by default).

--debugger program
    Use program (instead the default) as a debugger for Icedove. Implies -debug.

ENVIRONMENT
MOZILLA_DISABLE_PLUGINS - when set, totally disables loading plugins.

FILES
/usr/bin/icedove - shell script wrapping icedove-bin
/usr/lib/icedove/icedove-bin - icedove executable

EXAMPLES

  Some typical use case for starting Icedove from a console

Starting Icedove without any extra options, useful to any messages from icedove in case something went not o.k.:

    icedove

Starting Icedove without any extensions or themes, useful if extensions may make some trouble:

    icedove -safe-mode

Starting Icedove with a composing window:

    icedove -compose

Starting Icedove with the default debugger:

    /usr/lib/icedove/run-mozilla.sh -debug /usr/lib/icedove/icedove-bin

Starting Icedove with the specific debugger:

    /usr/lib/icedove/run-mozilla.sh --debugger /foo/bar/debugger /usr/lib/icedove/icedove-bin

BUGS
To report a bug, please visit http://bugzilla.mozilla.org/ and/or report bugs to the Debian Bug Tracking System, as usual.

AUTHORS

The Mozilla Organization
    http://www.mozilla.org/about.html